Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::const_view< Rng > Struct Template Reference
Views

## Public Member Functions
| const_view (Rng rng)
constexpr auto | size ()
constexpr auto | size () const

## Member Function Documentation

## ◆ size() [1/2]

template<typename Rng >

constexpr auto ranges::const_view< Rng >::size | ( |  | ) |
| constexpr

Precondition
  requires `sized_range<Rng>`

References ranges::aux::move.

## ◆ size() [2/2]

template<typename Rng >

constexpr auto ranges::const_view< Rng >::size | ( |  | ) | const
| constexpr

Precondition
  requires `sized_range<Rng const>`